Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226449 - Merge Review: syslinux
Summary: Merge Review: syslinux
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: syslinux
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:04 UTC by Nobody's working on this, feel free to take it
Modified: 2016-12-20 12:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:00:18 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:04:06 UTC
Fedora Merge Review: syslinux

http://cvs.fedora.redhat.com/viewcvs/devel/syslinux/
Initial Owner: pjones@redhat.com

Comment 1 Michael DeHaan 2007-02-19 23:06:15 UTC
Having somewhat of a vested interest in syslinux, I'll review this one also.



Comment 2 Michael DeHaan 2007-02-19 23:29:44 UTC
Initial scan...

E: syslinux tag-not-utf8 %changelog

Encodings as appearing from "file" do seem odd. 
file syslinux.spec 
syslinux.spec: ISO-8859 make commands text

W: syslinux no-url-tag

This should probably be a Url:  http://syslinux.zytor.com

E: syslinux non-utf8-spec-file syslinux.spec

See earlier comments on file format.

W: syslinux unversioned-explicit-provides syslinux-devel

Probably should add the version here.

E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux
E: syslinux hardcoded-library-path in %{_prefix}/lib
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux
E: syslinux hardcoded-library-path in %{_prefix}/lib/libsyslinux*
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/*.com
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/*.exe
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/*.c32
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/*.bin
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/*.0
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/memdisk
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/*.pl
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/mkdiskimage
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/syslinux
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/syslinux-nomtools
E: syslinux hardcoded-library-path in %{_prefix}/lib/syslinux/com32

I'm not entirely sure what Fedora Extras guidelines say here for packages that
are exclusively 32bit, but I would expect to see %{_libdir} here.  Maybe
syslinux gets an exception?

W: syslinux mixed-use-of-spaces-and-tabs (spaces: line 59, tab: line 58)

This should be relatively easy to fix and isn't a major problem.

----

Other comments:

(+) Biuldroot, license, and other header info looks good with the exception of
the missing URL.   ExclusiveArch is right for what syslinux supports, etc.

(?) Can Requires: /usr/include/gnu/stubs-32.h be replaced by the package that
provides it (glibc-devel) or is there a reason for doing this?

(?) Doesn't specify a specific version of perl or netpbm-progs, though
specifying some minimum version would be desirable.

(+) Files section looks fine.



Comment 3 Michael DeHaan 2007-02-19 23:32:19 UTC
Passing this back to pjones for fixing, if anyone else on fedora-review sees
anything else that they would like to point out, please do.



Comment 4 Michael DeHaan 2007-02-19 23:33:02 UTC
Passing this back to pjones for fixing, if anyone else on fedora-review sees
anything else that they would like to point out, please do.

Comment 5 Cole Robinson 2015-02-11 20:39:10 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 6 Jan Kurik 2015-07-15 15:23:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Fedora End Of Life 2016-11-24 10:21:36 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 12:00:18 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.